Bug 969885 - schroot_1.7.0 is available
schroot_1.7.0 is available
Status: CLOSED DUPLICATE of bug 1096761
Product: Fedora
Classification: Fedora
Component: schroot (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zach Carter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 18:23 EDT by Sergio Monteiro Basto
Modified: 2014-05-22 21:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-22 21:54:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Monteiro Basto 2013-06-02 18:23:21 EDT
Description of problem:

version 1.4.25  is very old see: 
http://ftp.de.debian.org/debian/pool/main/s/schroot/

schroot_1.7.0.orig.tar.xz
Comment 1 Oron Peled 2013-06-03 02:40:28 EDT
Also, it DOES NOT DEPEND on lockdev
(no need to wait for endless resolution of bug #600636)

To help Zach move it, here are proposed .spec and srpm:
Spec URL: http://oron.fedorapeople.org/deb-package/schroot.spec
SRPM URL: http://oron.fedorapeople.org/deb-package/schroot-1.7.0-1.fc18.src.rpm

Other highlights:
 * Full 'make check' run
 * Supports both lvm-snapshot and lvm-btrfs

Notes regarding libsbuild:
 * Had to use default linking (dynamic) with included libsbuild
 * That's what upstream does -- and it works.
 * Trying --enable-static --disable-dynamic creates non-functional scrhoot.
 * Even trivial self-tests fails due to "unknown" facets (e.g: "directory")
 * Trying to debug this, shows that the "missing" facets are linked into
     libsbuild.{a,so}:
            nm -C lib/sbuild/.libs/libsbuild.a | \
                  grep 'T sbuild::chroot::facet::directory\>'

 * However, these facets do not appear in the static test binary:
            nm -C test/sbuild/chroot/config | \
                  grep 'T sbuild::chroot::facet::directory\>'

 * So I gave up on static linking (should we insist on this?)
Comment 2 Zach Carter 2013-06-03 12:26:17 EDT
Thanks Oron, I will take a look at your changes and try them on my system.

I'm a little bit concerned that 1.7 is an odd-numbered (and therefore unstable) release.

So if we update to it, some extra testing effort might be in order.   

The original package review contains some information about why the static compile is set up:

https://bugzilla.redhat.com/show_bu.cgi?id=447368
Comment 3 Zach Carter 2013-06-03 16:56:18 EDT
I am getting this build error from the test suite in 1.7.0.  I got the same error when I tried schroot-1.6.5 a few weeks ago:

1) test: test_run_parts::test_run2 (E) 
uncaught exception of type N5boost10filesystem16filesystem_errorE
- boost::filesystem::directory_iterator::construct: No such file or directory: "test/testdata/run-parts.ex2"

The error message is not meaningful to me.  If you have any ideas, please let me know.
Comment 4 Oron Peled 2013-06-04 21:23:49 EDT
Something weird is happening:
 * The upstream tarball is *different* than the one I used few weeks ago
   when testing this.
 * The new file really miss this directory. While the old-one (in my SRPM) has it.
 * However, nobody changed the version of the upstream tarball.
 * I think upstream should be notified about it.
Comment 5 Zach Carter 2013-06-05 19:18:28 EDT
Upstream bug for tarball inconsistency and unit test problem:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=711277
Comment 6 Slawomir Czarko 2013-06-11 18:42:26 EDT
(In reply to Zach Carter from comment #3)
> I am getting this build error from the test suite in 1.7.0.  I got the same
> error when I tried schroot-1.6.5 a few weeks ago:
> 
> 1) test: test_run_parts::test_run2 (E) 
> uncaught exception of type N5boost10filesystem16filesystem_errorE
> - boost::filesystem::directory_iterator::construct: No such file or
> directory: "test/testdata/run-parts.ex2"
> 
> The error message is not meaningful to me.  If you have any ideas, please
> let me know.

This is failing because upstream tarball (1.7.0 and 1.6.x) is missing this empty directory:
schroot-<version>/test/run-parts.ex2
Comment 7 Zach Carter 2013-07-03 18:14:45 EDT
(In reply to Slawomir Czarko from comment #6)

> This is failing because upstream tarball (1.7.0 and 1.6.x) is missing this
> empty directory:
> schroot-<version>/test/run-parts.ex2

Thanks...I added the empty directory with mkdir and now the build is at least working, updated to 1.6.5 in rawhide.
Comment 8 Fedora End Of Life 2013-09-16 10:04:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 9 Christopher Meng 2014-05-22 21:54:41 EDT

*** This bug has been marked as a duplicate of bug 1096761 ***

Note You need to log in before you can comment on or make changes to this bug.